> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Review



## OpenAPI

````yaml POST /reviews/submit
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /reviews/submit:
    post:
      summary: Submit a Preset review by logged in user
      operationId: d532e76685407e2adb0443f8e706756b
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              required:
                - rating
                - preset_id
              properties:
                rating:
                  type: integer
                  example: 5
                message:
                  type: string
                  example: >-
                    Yoga Club is premium WordPress theme best suitable for yoga
                    and health websites like yoga centers, yoga clubs, yoga
                    trainers, dance, meditation etc.
                preset_id:
                  type: integer
                  example: 1
              type: object
      responses:
        '200':
          description: Returns Review object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Review'
      security:
        - bearerAuth: []
components:
  schemas:
    Review:
      properties:
        id:
          type: integer
        rating:
          type: integer
          example: 5
        message:
          type: string
          example: >-
            Yoga Club is premium WordPress theme best suitable for yoga and
            health websites like yoga centers, yoga clubs, yoga trainers, dance,
            meditation etc.
        created_at:
          type: string
          example: '2022-05-01 22:00:00'
        user:
          type: object
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````